:root {
    --text-color: #FFFFFF;
    --bg-color: #282828;
    --btn-color1: #3f3f3f;
    --logo-color: #857fb6;
}


/* For Desktop View */
@media screen and (min-width: 1024px) {

    p,
    input,
    button {
        font-size: 1.5em;
    }

    h1 {
        font-size: 2.5em;
    }
}


/* For Tablet View */
@media screen and (min-width: 768px) and (max-width: 1024px) {

    p,
    input,
    button {
        font-size: 3em;
    }

    h1 {
        font-size: 4em;
    }
}


/* For Phone View */
@media screen and (max-width: 768px) {

    p,
    input,
    button {
        font-size: 4em;
    }

    h1 {
        font-size: 5em;
    }
}

body {
    text-align: center;
    align-content: center;
    color: var(--text-color);
    background-color: var(--bg-color);
    font-family: Arial, Helvetica, sans-serif;
    font-size: 1em;
}

ul {
    list-style: none;
}

li {
    display: flex;
    flex-direction: row;
    align-items: center;
    width: fit-content;
    margin: 1em auto;
}

input,
button {
    color: var(--text-color);
    background-color: var(--btn-color);
    border: 2px solid var(--logo-color);
    border-radius: 0.2em;
}

input[type=color] {
    padding-right: -5px;
}

p {
    padding: 0 1.5em;
}

#secondaryOptions {
    display: none;
    position: absolute;
    margin-top: 20px;
    border: 2px solid var(--logo-color);
    border-radius: 0.2em;
    padding: 0.5em;
    background-color: var(--bg-color);
}

#upDownOptions {
    display: flex;
    flex-direction: column;
}

#upDownOptions>input {
    height: min-content !important;
    padding: 0;
    border: 0;
}

#doneCheck {
    background-color: transparent;
    padding: 0 2px;
}

#dropDownMenu {
    display: flex;
    flex-direction: column;
}

#upDownOptions {
    height: auto;
}

#dropDown:focus~#secondaryOptions,
#secondaryOptions:hover {
    display: flex;
    flex-direction: column;
}

#colorForm {
    margin: 0;
}

#editMenuForm {
    background-color: var(--bg-color);
    display: flex;
    flex-direction: row;
}